using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    public class T_FO_HOLIDAYS_DETAIL : MesEntityBase
    {
        [Description("主表")]
        [DataFieldForeignKey("Nav_Holidays", "Nav_Details")]
        public Guid HOLIDAYS_ID { get; set; }

        [Description("导航属性：主表")]
        public virtual T_FO_HOLIDAYS Nav_Holidays { get; set; }

        [Description("节日名称")]
        public string NAME { get; set; }

        [Description("开始时间")]
        public DateTime? START_DATE { get; set; }
        [Description("结束时间")]
        public DateTime? END_DATE { get; set; }
    }
}
